# $Revision: 1.5 $, $Date: 2002/09/28 07:12:39 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Filesys
%define	pnam	SmbClientParser
Summary:	Filesys::SmbClientParser Perl module
Summary(cs):	Modul Filesys::SmbClientParser pro Perl
Summary(da):	Perlmodul Filesys::SmbClientParser
Summary(de):	Filesys::SmbClientParser Perl Modul
Summary(es):	Mdulo de Perl Filesys::SmbClientParser
Summary(fr):	Module Perl Filesys::SmbClientParser
Summary(it):	Modulo di Perl Filesys::SmbClientParser
Summary(ja):	Filesys::SmbClientParser Perl ⥸塼
Summary(ko):	Filesys::SmbClientParser  
Summary(no):	Perlmodul Filesys::SmbClientParser
Summary(pl):	Modu Perla Filesys::SmbClientParser
Summary(pt):	Mdulo de Perl Filesys::SmbClientParser
Summary(pt_BR):	Mdulo Perl Filesys::SmbClientParser
Summary(ru):	  Perl Filesys::SmbClientParser
Summary(sv):	Filesys::SmbClientParser Perlmodul
Summary(uk):	  Perl Filesys::SmbClientParser
Summary(zh_CN):	Filesys::SmbClientParser Perl ģ
Name:		perl-Filesys-SmbClientParser
Version:	2.3
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-notest.patch
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
Requires:	samba-client
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filesys::SmbClientParser - use smbclient.

%description -l pl
Filesys::SmbClientParser - uywa smbclient.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_sitelib}/Filesys/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Filesys-SmbClientParser.spec,v $
Revision 1.5  2002/09/28 07:12:39  ankry
- it IS noarch
- release 2

Revision 1.4  2002/09/26 17:11:33  ankry
- added tests on bcond and translations
- version 2.3

Revision 1.3  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/06/03 16:29:22  blues
- it's NOT noarch, sorry...
STBR now...

Revision 1.1  2002/06/03 15:15:59  blues
- new module - STBR
